local Mockingbird = ...

---------------------------------
--| Register Materials 
--------------------------

Mockingbird:registerAssetId("models/caravan.fbx/Materials/pentagram1", "PENTAGRAM1_MATERIAL")
Mockingbird:override({
    Id = "PENTAGRAM1_MATERIAL",
	HasAlphaTest = true
})

Mockingbird:registerAssetId("models/bluecar.fbx/Materials/pentagram2", "PENTAGRAM2_MATERIAL")
Mockingbird:override({
    Id = "PENTAGRAM2_MATERIAL",
	HasAlphaTest = true
})



Mockingbird:registerAssetId("models/caravan.fbx/Prefab/Acaravan_Part", "PREFAB_ACARAVAN_PART")
Mockingbird:registerAssetId("models/bluecar.fbx/Prefab/Abluecar_Part", "PREFAB_ABLUECAR_PART")


Mockingbird:configurePrefabFlagList("models/caravan.fbx/Prefab/Acaravan_Part", { "PLATFORM" })
Mockingbird:configurePrefabFlagList("models/bluecar.fbx/Prefab/Abluecar_Part", { "PLATFORM" })

-- Resource: Caravan Housing -------------------------------------------------------------------------------------
Mockingbird:registerAssetId("icons/Caravan.png", "ICON_RESOURCE_CARAVAN", "ATLAS_CELL")
Mockingbird:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_CARAVAN_HOUSING" ) -- ADDED1.7

Mockingbird:register({
    DataType = "RESOURCE",
    Id = "RESOURCE_CARAVAN",
    ResourceName = "RESOURCE_CARAVAN_NAME",
    Icon = "ICON_RESOURCE_CARAVAN",
    ResourceTypeList = {
       -- "HOUSE_LEVEL_1",
       -- "HOUSE_LEVEL_2",
	   "RESOURCE_TYPE_CARAVAN_HOUSING",   -- ADDED1.7 
    },
    IsTradable = false,
    DisplayInInventory = false
})

-- Add caravan housing to fulfilling housing need -------------------------------------------------------------------------------------
Mockingbird:override({
    Id = "NEED_HOUSE_LEVEL_1",
    NeedTypeList = {
        Action = "APPEND",
        "RESOURCE_TYPE_CARAVAN_HOUSING",
    },
})

Mockingbird:override({
    Id = "NEED_HOUSE_LEVEL_2",
    NeedTypeList = {
        Action = "APPEND",
        "RESOURCE_TYPE_CARAVAN_HOUSING",
    },
})






-- Building Part: Caravan green ----------
Mockingbird:register({
    DataType = "BUILDING_PART",
    Id = "ACARAVAN_PART",
    Name = "ACARAVAN_NAME",
    Description = "ACARAVAN_DESC",
    IsMovableWhenBuilt = true,
    Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_CARAVAN",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_ACARAVAN_PART"
    },
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createRectangle( {0.4, 0.2}, {0, 0} )
			}
		}
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
-- House Setup: caravan green -------------------------------------------------------------------------------------------
Mockingbird:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_CARAVAN",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "RESOURCE_CARAVAN",
            HouseDensityPartList = { 
                "ACARAVAN_PART",
            }
        },
    }
})

Mockingbird:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_CARAVAN",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_CARAVAN"
})
 

--start blue caravan
Mockingbird:register({
    DataType = "BUILDING_PART",
    Id = "ABLUECAR_PART",
    Name = "ABLUECAR_NAME",
    Description = "ABLUECAR_DESC",
    IsMovableWhenBuilt = true,
    Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_EMPTY_HOUSE_BLUECAR",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_ABLUECAR_PART"
    },
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = polygon.createRectangle( {0.4, 0.2}, {0, 0} )
			}
		}
	},
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
-- House Setup: caravan blue -------------------------------------------------------------------------------------------
Mockingbird:register({
    DataType = "HOUSE_SETUP",
    Id = "HOUSE_SETUP_EMPTY_HOUSE_BLUECAR",
    HouseStatusList = {
        {
            DataType = "HOUSE_STATUS",
            RequiredDesirability = DESIRABILITY_LEVEL.LOW,
            ResourceGenerated = "RESOURCE_CARAVAN",
            HouseDensityPartList = { 
                "ABLUECAR_PART",
            }
        },
    }
})

Mockingbird:register({
    DataType = "BUILDING_FUNCTION_HOUSE",
    Id = "BUILDING_FUNCTION_EMPTY_HOUSE_BLUECAR",
    RelatedZone = "RESIDENTIAL",
    RelatedDesirability = "DESIRABILITY_RESIDENTIAL",
    AssetHouseSetup = "HOUSE_SETUP_EMPTY_HOUSE_BLUECAR"
})
